_EnableDAC1:
;ADC_DAC.c,72 :: 		void EnableDAC1(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;ADC_DAC.c,73 :: 		DAC1_Init(_DAC_CH1_ENABLE);        // Initialize DAC1
MOVS	R0, #1
BL	_DAC1_Init+0
;ADC_DAC.c,74 :: 		}
L_end_EnableDAC1:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _EnableDAC1
_EnableDAC2:
;ADC_DAC.c,76 :: 		void EnableDAC2(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;ADC_DAC.c,77 :: 		DAC1_Init(_DAC_CH2_ENABLE);        // Initialize DAC2
MOVS	R0, #2
BL	_DAC1_Init+0
;ADC_DAC.c,78 :: 		}
L_end_EnableDAC2:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _EnableDAC2
_EnableDACs:
;ADC_DAC.c,80 :: 		void EnableDACs(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;ADC_DAC.c,81 :: 		DAC1_Init(_DAC_DUAL_MODE_ENABLE);  // Initialize DAC1 and DAC2
MOVS	R0, #3
BL	_DAC1_Init+0
;ADC_DAC.c,82 :: 		}
L_end_EnableDACs:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _EnableDACs
_SetDAC1:
;ADC_DAC.c,86 :: 		void SetDAC1(unsigned long Data) {      // Put out voltage on DAC1
; Data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; Data end address is: 0 (R0)
; Data start address is: 0 (R0)
;ADC_DAC.c,87 :: 		DAC1_Ch1_Output(Data);
; Data end address is: 0 (R0)
BL	_DAC1_Ch1_Output+0
;ADC_DAC.c,88 :: 		}
L_end_SetDAC1:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _SetDAC1
_SetDAC2:
;ADC_DAC.c,90 :: 		void SetDAC2(unsigned long Data) {      // Put out voltage on DAC2
; Data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; Data end address is: 0 (R0)
; Data start address is: 0 (R0)
;ADC_DAC.c,91 :: 		DAC1_Ch2_Output(Data);
; Data end address is: 0 (R0)
BL	_DAC1_Ch2_Output+0
;ADC_DAC.c,92 :: 		}
L_end_SetDAC2:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _SetDAC2
_SetDACs:
;ADC_DAC.c,94 :: 		void SetDACs(unsigned long Data1, unsigned long Data2) {
; Data2 start address is: 4 (R1)
; Data1 start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; Data2 end address is: 4 (R1)
; Data1 end address is: 0 (R0)
; Data1 start address is: 0 (R0)
; Data2 start address is: 4 (R1)
;ADC_DAC.c,95 :: 		DAC1_Dual_Output(Data1, Data2, _DAC_RIGHT_ALIGN, _DAC_RIGHT_ALIGN);  // Both DACs
MOV	R3, #4
MOV	R2, #4
; Data2 end address is: 4 (R1)
; Data1 end address is: 0 (R0)
BL	_DAC1_Dual_Output+0
;ADC_DAC.c,96 :: 		}
L_end_SetDACs:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _SetDACs
_SetDAC_Ch1:
;ADC_DAC.c,98 :: 		void SetDAC_Ch1(unsigned long Data) {
; Data start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; Data end address is: 0 (R0)
; Data start address is: 0 (R0)
;ADC_DAC.c,99 :: 		DAC1_Advanced_Ch1_Output(Data, _DAC_12_BIT | _DAC_RIGHT_ALIGN | _DAC_WAVE_DISABLED | _DAC_TRIGGER_SW);
MOVS	R1, #118
; Data end address is: 0 (R0)
BL	_DAC1_Advanced_Ch1_Output+0
;ADC_DAC.c,100 :: 		}
L_end_SetDAC_Ch1:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _SetDAC_Ch1
_DAC1_Initialize:
;ADC_DAC.c,109 :: 		void DAC1_Initialize(void) {
;ADC_DAC.c,110 :: 		DACEN_bit = 1;             // Enable DAC clock in RCC_APB1ENR
MOVS	R3, #1
SXTB	R3, R3
MOVW	R0, #lo_addr(DACEN_bit+0)
MOVT	R0, #hi_addr(DACEN_bit+0)
STR	R3, [R0, #0]
;ADC_DAC.c,128 :: 		GPIOA_MODERBITS.MODER4 = 0x3;  // Configure PA4 as analog input
MOVS	R2, #3
MOVW	R1, #lo_addr(GPIOA_MODERbits+0)
MOVT	R1, #hi_addr(GPIOA_MODERbits+0)
LDRH	R0, [R1, #0]
BFI	R0, R2, #8, #2
STRH	R0, [R1, #0]
;ADC_DAC.c,130 :: 		BOFF1_bit = 0;             // DAC1 output op-amp enabled in DAC_CR
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(BOFF1_bit+0)
MOVT	R0, #hi_addr(BOFF1_bit+0)
STR	R1, [R0, #0]
;ADC_DAC.c,142 :: 		DAC_CRbits.TSEL1 = 0x0;    // DAC1 to be clocked by Timer 6 TRGO event (default)
MOVS	R2, #0
MOVW	R1, #lo_addr(DAC_CRbits+0)
MOVT	R1, #hi_addr(DAC_CRbits+0)
LDRB	R0, [R1, #0]
BFI	R0, R2, #3, #3
STRB	R0, [R1, #0]
;ADC_DAC.c,144 :: 		TEN1_bit = 1;              // Set DAC1 trigger enable in DAC_CR
MOVW	R0, #lo_addr(TEN1_bit+0)
MOVT	R0, #hi_addr(TEN1_bit+0)
STR	R3, [R0, #0]
;ADC_DAC.c,145 :: 		EN1_bit = 1;               // DAC1 enabled in DAC_CR
MOVW	R0, #lo_addr(EN1_bit+0)
MOVT	R0, #hi_addr(EN1_bit+0)
STR	R3, [R0, #0]
;ADC_DAC.c,146 :: 		}
L_end_DAC1_Initialize:
BX	LR
; end of _DAC1_Initialize
_DAC1_Set:
;ADC_DAC.c,150 :: 		void DAC1_Set(unsigned Value) {
; Value start address is: 0 (R0)
; Value end address is: 0 (R0)
; Value start address is: 0 (R0)
;ADC_DAC.c,151 :: 		DAC_DHR12R1 = Value;       // Set DAC1 to Value (12-bit right-aligned)
MOVW	R1, #lo_addr(DAC_DHR12R1+0)
MOVT	R1, #hi_addr(DAC_DHR12R1+0)
STR	R0, [R1, #0]
; Value end address is: 0 (R0)
;ADC_DAC.c,152 :: 		}
L_end_DAC1_Set:
BX	LR
; end of _DAC1_Set
_DAC2_Initialize:
;ADC_DAC.c,156 :: 		void DAC2_Initialize(void) {
;ADC_DAC.c,157 :: 		DACEN_bit = 1;             // Enable DAC clock in RCC_APB1ENR
MOVS	R3, #1
SXTB	R3, R3
MOVW	R0, #lo_addr(DACEN_bit+0)
MOVT	R0, #hi_addr(DACEN_bit+0)
STR	R3, [R0, #0]
;ADC_DAC.c,175 :: 		GPIOA_MODERBITS.MODER5 = 0x3;  // Configure PA5 as analog input
MOVS	R2, #3
MOVW	R1, #lo_addr(GPIOA_MODERbits+0)
MOVT	R1, #hi_addr(GPIOA_MODERbits+0)
LDRH	R0, [R1, #0]
BFI	R0, R2, #10, #2
STRH	R0, [R1, #0]
;ADC_DAC.c,177 :: 		BOFF2_bit = 0;             // DAC2 output op-amp enabled in DAC_CR
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(BOFF2_bit+0)
MOVT	R0, #hi_addr(BOFF2_bit+0)
STR	R1, [R0, #0]
;ADC_DAC.c,189 :: 		DAC_CRbits.TSEL2 = 0x2;    // DAC2 to be clocked by Timer 7 TRGO event
MOVS	R2, #2
MOVW	R1, #lo_addr(DAC_CRbits+0)
MOVT	R1, #hi_addr(DAC_CRbits+0)
LDR	R0, [R1, #0]
BFI	R0, R2, #19, #3
STR	R0, [R1, #0]
;ADC_DAC.c,191 :: 		TEN2_bit = 1;              // Set DAC2 trigger enable in DAC_CR
MOVW	R0, #lo_addr(TEN2_bit+0)
MOVT	R0, #hi_addr(TEN2_bit+0)
STR	R3, [R0, #0]
;ADC_DAC.c,192 :: 		EN2_bit = 1;               // DAC2 enabled in DAC_CR
MOVW	R0, #lo_addr(EN2_bit+0)
MOVT	R0, #hi_addr(EN2_bit+0)
STR	R3, [R0, #0]
;ADC_DAC.c,193 :: 		}
L_end_DAC2_Initialize:
BX	LR
; end of _DAC2_Initialize
_DAC2_Set:
;ADC_DAC.c,197 :: 		void DAC2_Set(unsigned Value) {
; Value start address is: 0 (R0)
; Value end address is: 0 (R0)
; Value start address is: 0 (R0)
;ADC_DAC.c,198 :: 		DAC_DHR12R2 = Value;       // Set DAC2 to Value (12-bit right-aligned)
MOVW	R1, #lo_addr(DAC_DHR12R2+0)
MOVT	R1, #hi_addr(DAC_DHR12R2+0)
STR	R0, [R1, #0]
; Value end address is: 0 (R0)
;ADC_DAC.c,199 :: 		}
L_end_DAC2_Set:
BX	LR
; end of _DAC2_Set
_DoSine:
;ADC_DAC.c,206 :: 		void DoSine(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;ADC_DAC.c,216 :: 		switch (Quadrant) {
IT	AL
BAL	L_DoSine0
;ADC_DAC.c,217 :: 		case 0:
L_DoSine2:
;ADC_DAC.c,218 :: 		SineValue = SineTable[SinePtr++];
MOVW	R2, #lo_addr(_SinePtr+0)
MOVT	R2, #hi_addr(_SinePtr+0)
LDRH	R0, [R2, #0]
LSLS	R1, R0, #1
MOVW	R0, #lo_addr(_SineTable+0)
MOVT	R0, #hi_addr(_SineTable+0)
ADDS	R0, R0, R1
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_SineValue+0)
MOVT	R0, #hi_addr(_SineValue+0)
STRH	R1, [R0, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R2, #0]
;ADC_DAC.c,219 :: 		Calc = 2048+(((long)SineValue*(long)Amp)/255);
MOVW	R0, #lo_addr(_Amp+0)
MOVT	R0, #hi_addr(_Amp+0)
LDRB	R0, [R0, #0]
MULS	R1, R0, R1
MOVS	R0, #255
SDIV	R0, R1, R0
ADD	R0, R0, #2048
;ADC_DAC.c,220 :: 		DAC1_Set(Calc);                    // Put Sine value in DAC1
UXTH	R0, R0
BL	_DAC1_Set+0
;ADC_DAC.c,221 :: 		if (SinePtr == 250) {
MOVW	R0, #lo_addr(_SinePtr+0)
MOVT	R0, #hi_addr(_SinePtr+0)
LDRH	R0, [R0, #0]
CMP	R0, #250
IT	NE
BNE	L_DoSine3
;ADC_DAC.c,222 :: 		Quadrant = 1;                  // Change Quadrant
MOVS	R1, #1
MOVW	R0, #lo_addr(_Quadrant+0)
MOVT	R0, #hi_addr(_Quadrant+0)
STRB	R1, [R0, #0]
;ADC_DAC.c,224 :: 		}
L_DoSine3:
;ADC_DAC.c,225 :: 		break;
IT	AL
BAL	L_DoSine1
;ADC_DAC.c,226 :: 		case 1:
L_DoSine4:
;ADC_DAC.c,227 :: 		SineValue = SineTable[SinePtr--];
MOVW	R2, #lo_addr(_SinePtr+0)
MOVT	R2, #hi_addr(_SinePtr+0)
LDRH	R0, [R2, #0]
LSLS	R1, R0, #1
MOVW	R0, #lo_addr(_SineTable+0)
MOVT	R0, #hi_addr(_SineTable+0)
ADDS	R0, R0, R1
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_SineValue+0)
MOVT	R0, #hi_addr(_SineValue+0)
STRH	R1, [R0, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
SUBS	R0, R0, #1
STRH	R0, [R2, #0]
;ADC_DAC.c,228 :: 		Calc = 2048+(((long)SineValue*(long)Amp)/255);
MOVW	R0, #lo_addr(_Amp+0)
MOVT	R0, #hi_addr(_Amp+0)
LDRB	R0, [R0, #0]
MULS	R1, R0, R1
MOVS	R0, #255
SDIV	R0, R1, R0
ADD	R0, R0, #2048
;ADC_DAC.c,229 :: 		DAC1_Set(Calc);                    // Put Sine value in DAC1
UXTH	R0, R0
BL	_DAC1_Set+0
;ADC_DAC.c,230 :: 		if (SinePtr == 0) {
MOVW	R0, #lo_addr(_SinePtr+0)
MOVT	R0, #hi_addr(_SinePtr+0)
LDRH	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_DoSine5
;ADC_DAC.c,231 :: 		Quadrant = 2;                  // Change Quadrant
MOVS	R1, #2
MOVW	R0, #lo_addr(_Quadrant+0)
MOVT	R0, #hi_addr(_Quadrant+0)
STRB	R1, [R0, #0]
;ADC_DAC.c,233 :: 		}
L_DoSine5:
;ADC_DAC.c,234 :: 		break;
IT	AL
BAL	L_DoSine1
;ADC_DAC.c,235 :: 		case 2:
L_DoSine6:
;ADC_DAC.c,236 :: 		SineValue = SineTable[SinePtr++];
MOVW	R2, #lo_addr(_SinePtr+0)
MOVT	R2, #hi_addr(_SinePtr+0)
LDRH	R0, [R2, #0]
LSLS	R1, R0, #1
MOVW	R0, #lo_addr(_SineTable+0)
MOVT	R0, #hi_addr(_SineTable+0)
ADDS	R0, R0, R1
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_SineValue+0)
MOVT	R0, #hi_addr(_SineValue+0)
STRH	R1, [R0, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R2, #0]
;ADC_DAC.c,237 :: 		Calc = 2047-(((long)SineValue*(long)Amp)/255);
MOVW	R0, #lo_addr(_Amp+0)
MOVT	R0, #hi_addr(_Amp+0)
LDRB	R0, [R0, #0]
MULS	R1, R0, R1
MOVS	R0, #255
SDIV	R1, R1, R0
MOVW	R0, #2047
SUB	R0, R0, R1
;ADC_DAC.c,238 :: 		DAC1_Set(Calc);                    // Put Sine value in DAC1
UXTH	R0, R0
BL	_DAC1_Set+0
;ADC_DAC.c,239 :: 		if (SinePtr == 250) {
MOVW	R0, #lo_addr(_SinePtr+0)
MOVT	R0, #hi_addr(_SinePtr+0)
LDRH	R0, [R0, #0]
CMP	R0, #250
IT	NE
BNE	L_DoSine7
;ADC_DAC.c,240 :: 		Quadrant = 3;                  // Change Quadrant
MOVS	R1, #3
MOVW	R0, #lo_addr(_Quadrant+0)
MOVT	R0, #hi_addr(_Quadrant+0)
STRB	R1, [R0, #0]
;ADC_DAC.c,242 :: 		}
L_DoSine7:
;ADC_DAC.c,243 :: 		break;
IT	AL
BAL	L_DoSine1
;ADC_DAC.c,244 :: 		case 3:
L_DoSine8:
;ADC_DAC.c,245 :: 		SineValue = SineTable[SinePtr--];
MOVW	R2, #lo_addr(_SinePtr+0)
MOVT	R2, #hi_addr(_SinePtr+0)
LDRH	R0, [R2, #0]
LSLS	R1, R0, #1
MOVW	R0, #lo_addr(_SineTable+0)
MOVT	R0, #hi_addr(_SineTable+0)
ADDS	R0, R0, R1
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_SineValue+0)
MOVT	R0, #hi_addr(_SineValue+0)
STRH	R1, [R0, #0]
MOV	R0, R2
LDRH	R0, [R0, #0]
SUBS	R0, R0, #1
STRH	R0, [R2, #0]
;ADC_DAC.c,246 :: 		Calc = 2047-(((long)SineValue*(long)Amp)/255);
MOVW	R0, #lo_addr(_Amp+0)
MOVT	R0, #hi_addr(_Amp+0)
LDRB	R0, [R0, #0]
MULS	R1, R0, R1
MOVS	R0, #255
SDIV	R1, R1, R0
MOVW	R0, #2047
SUB	R0, R0, R1
;ADC_DAC.c,247 :: 		DAC1_Set(Calc);                    // Put Sine value in DAC1
UXTH	R0, R0
BL	_DAC1_Set+0
;ADC_DAC.c,248 :: 		if (SinePtr == 0) {
MOVW	R0, #lo_addr(_SinePtr+0)
MOVT	R0, #hi_addr(_SinePtr+0)
LDRH	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_DoSine9
;ADC_DAC.c,249 :: 		Quadrant = 0;                  // Change Quadrant
MOVS	R1, #0
MOVW	R0, #lo_addr(_Quadrant+0)
MOVT	R0, #hi_addr(_Quadrant+0)
STRB	R1, [R0, #0]
;ADC_DAC.c,252 :: 		}
L_DoSine9:
;ADC_DAC.c,253 :: 		break;
IT	AL
BAL	L_DoSine1
;ADC_DAC.c,254 :: 		}
L_DoSine0:
MOVW	R0, #lo_addr(_Quadrant+0)
MOVT	R0, #hi_addr(_Quadrant+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_DoSine2
MOVW	R0, #lo_addr(_Quadrant+0)
MOVT	R0, #hi_addr(_Quadrant+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_DoSine4
MOVW	R0, #lo_addr(_Quadrant+0)
MOVT	R0, #hi_addr(_Quadrant+0)
LDRB	R0, [R0, #0]
CMP	R0, #2
IT	EQ
BEQ	L_DoSine6
MOVW	R0, #lo_addr(_Quadrant+0)
MOVT	R0, #hi_addr(_Quadrant+0)
LDRB	R0, [R0, #0]
CMP	R0, #3
IT	EQ
BEQ	L_DoSine8
L_DoSine1:
;ADC_DAC.c,265 :: 		}
L_end_DoSine:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _DoSine
_DispDAC_CR:
;ADC_DAC.c,285 :: 		void DispDAC_CR(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;ADC_DAC.c,288 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;ADC_DAC.c,289 :: 		sprintf(BufNum,"DAC_CR Register:      %08LX\r\n",DAC_CR);
MOVW	R1, #lo_addr(DAC_CR+0)
MOVT	R1, #hi_addr(DAC_CR+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_1_ADC_DAC+0)
MOVT	R1, #hi_addr(?lstr_1_ADC_DAC+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;ADC_DAC.c,290 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;ADC_DAC.c,291 :: 		}
L_end_DispDAC_CR:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _DispDAC_CR
_DispDAC_DHR12R1:
;ADC_DAC.c,295 :: 		void DispDAC_DHR12R1(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;ADC_DAC.c,298 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;ADC_DAC.c,299 :: 		sprintf(BufNum,"DAC_DHR12R1 Register: %04X\r\n",DAC_DHR12R1);
MOVW	R1, #lo_addr(DAC_DHR12R1+0)
MOVT	R1, #hi_addr(DAC_DHR12R1+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_2_ADC_DAC+0)
MOVT	R1, #hi_addr(?lstr_2_ADC_DAC+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;ADC_DAC.c,300 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;ADC_DAC.c,301 :: 		}
L_end_DispDAC_DHR12R1:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _DispDAC_DHR12R1
_DispDAC_DOR1:
;ADC_DAC.c,305 :: 		void DispDAC_DOR1(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;ADC_DAC.c,308 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;ADC_DAC.c,309 :: 		sprintf(BufNum,"DAC_DOR1 Register:    %04X\r\n",DAC_DOR1);
MOVW	R1, #lo_addr(DAC_DOR1+0)
MOVT	R1, #hi_addr(DAC_DOR1+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_3_ADC_DAC+0)
MOVT	R1, #hi_addr(?lstr_3_ADC_DAC+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;ADC_DAC.c,310 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;ADC_DAC.c,311 :: 		}
L_end_DispDAC_DOR1:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _DispDAC_DOR1
_DispDAC_DHR12R2:
;ADC_DAC.c,315 :: 		void DispDAC_DHR12R2(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;ADC_DAC.c,318 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;ADC_DAC.c,319 :: 		sprintf(BufNum,"DAC_DHR12R2 Register: %04X\r\n",DAC_DHR12R2);
MOVW	R1, #lo_addr(DAC_DHR12R2+0)
MOVT	R1, #hi_addr(DAC_DHR12R2+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_4_ADC_DAC+0)
MOVT	R1, #hi_addr(?lstr_4_ADC_DAC+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;ADC_DAC.c,320 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;ADC_DAC.c,321 :: 		}
L_end_DispDAC_DHR12R2:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _DispDAC_DHR12R2
_DispDAC_DOR2:
;ADC_DAC.c,325 :: 		void DispDAC_DOR2(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;ADC_DAC.c,328 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;ADC_DAC.c,329 :: 		sprintf(BufNum,"DAC_DOR2 Register:    %04X\r\n",DAC_DOR2);
MOVW	R1, #lo_addr(DAC_DOR2+0)
MOVT	R1, #hi_addr(DAC_DOR2+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_5_ADC_DAC+0)
MOVT	R1, #hi_addr(?lstr_5_ADC_DAC+0)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;ADC_DAC.c,330 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
BL	_USB_PutQueue+0
;ADC_DAC.c,331 :: 		}
L_end_DispDAC_DOR2:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _DispDAC_DOR2
