#line 1 "C:/Users/Val/Desktop/MikroE/Example4/Main.c"
#line 1 "c:/users/val/desktop/mikroe/example4/usb_driver.h"
#line 11 "c:/users/val/desktop/mikroe/example4/usb_driver.h"
typedef char *pnt;


typedef struct USB_TxStruct {
 unsigned int in;
 unsigned int out;
 pnt q[ 32 ];
}USB_TxStruct;



void USB_Init(void);
void USB_TxQueueInit(void);
void USB_PutQueue(char *msg);
void USB_CheckOut(void);
void USB_CheckIn(void);
#line 1 "c:/users/val/desktop/mikroe/example4/led.h"
#line 13 "c:/users/val/desktop/mikroe/example4/led.h"
void LED_Initialize(void);

void LED_Set_Yellow(void);
void LED_Clr_Yellow(void);
void LED_Set_Red(void);
void LED_Clr_Red(void);
#line 1 "c:/users/val/desktop/mikroe/example4/rtc.h"
#line 13 "c:/users/val/desktop/mikroe/example4/rtc.h"
typedef struct Time {
 unsigned int year;
 unsigned short weekday;
 unsigned short month;
 unsigned short day;
 unsigned short hours;
 unsigned short minutes;
 unsigned short seconds;
 unsigned short ampm;
} TTime;




void RTC_Initialize(void);
void RTC_Write(TTime *RTCC_Time);
void RTC_Read(TTime *RTCC_Time);

void RTC_WriteSRAM(unsigned short Reg, unsigned long Value);
unsigned long RTC_ReadSRAM(unsigned short Reg);

void RTC_WriteCCR(char Cal);
void RTC_ReadCCR(void);
void RTC_ReadISR(void);
#line 1 "c:/users/val/desktop/mikroe/example4/timers.h"
#line 9 "c:/users/val/desktop/mikroe/example4/timers.h"
void TimerInit();
void TimerCheck();
#line 31 "c:/users/val/desktop/mikroe/example4/timers.h"
struct timers {
 unsigned long int TimerField;
 unsigned short int Free;
};
#line 43 "c:/users/val/desktop/mikroe/example4/timers.h"
void init_timerpool(void);
#line 52 "c:/users/val/desktop/mikroe/example4/timers.h"
unsigned short int get_timer(void);
#line 61 "c:/users/val/desktop/mikroe/example4/timers.h"
void free_timer(unsigned short int nbr);
#line 71 "c:/users/val/desktop/mikroe/example4/timers.h"
void set_timer(unsigned short int nbr, unsigned long int tout);
#line 80 "c:/users/val/desktop/mikroe/example4/timers.h"
unsigned long int check_timer(unsigned short int nbr);
#line 89 "c:/users/val/desktop/mikroe/example4/timers.h"
void irqhandler_timer(void);





void Timer6_Initialize(void);
void Timer7_Initialize(void);
#line 1 "c:/users/val/desktop/mikroe/example4/adc_dac.h"
#line 19 "c:/users/val/desktop/mikroe/example4/adc_dac.h"
void EnableDAC1(void);
void EnableDAC2(void);
void EnableDACs(void);
void SetDAC1(unsigned long Data);
void SetDAC2(unsigned long Data);
void SetDACs(unsigned long Data1, unsigned long Data2);
void SetDAC_Ch1(unsigned long Data);


void DAC1_Initialize(void);
void DAC1_Set(unsigned Value);
void DAC2_Initialize(void);
void DAC2_Set(unsigned Value);
void DoSine(void);



void DispDAC_CR(void);

void DispDAC_DHR12R1(void);
void DispDAC_DOR1(void);

void DispDAC_DHR12R2(void);
void DispDAC_DOR2(void);
#line 25 "C:/Users/Val/Desktop/MikroE/Example4/Main.c"
void main() {
 USB_Init();
 LED_Initialize();
 RTC_Initialize();
 TimerInit();

 EnableInterrupts();

 while(1) {
 USB_CheckIn();
 USB_CheckOut();
 TimerCheck();
 }

}
