_USBInterrupt:
;USB_Driver.c,29 :: 		void USBInterrupt() iv IVT_INT_OTG_FS ics ICS_AUTO {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,30 :: 		USB_Interrupt_Proc();
BL	_USB_Interrupt_Proc+0
;USB_Driver.c,31 :: 		}
L_end_USBInterrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USBInterrupt
_USB_Init:
;USB_Driver.c,35 :: 		void USB_Init(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,39 :: 		HID_Enable(&readbuff,&writebuff);
MOVW	R1, #lo_addr(_writebuff+0)
MOVT	R1, #hi_addr(_writebuff+0)
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
BL	_HID_Enable+0
;USB_Driver.c,40 :: 		USB_TxQueueInit();
BL	_USB_TxQueueInit+0
;USB_Driver.c,42 :: 		}
L_end_USB_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB_Init
_USB_TxQueueInit:
;USB_Driver.c,46 :: 		void USB_TxQueueInit(void) {
;USB_Driver.c,48 :: 		USB_Queue.in = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
STRH	R1, [R0, #0]
;USB_Driver.c,49 :: 		USB_Queue.out = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
STRH	R1, [R0, #0]
;USB_Driver.c,50 :: 		}
L_end_USB_TxQueueInit:
BX	LR
; end of _USB_TxQueueInit
_USB_PutQueue:
;USB_Driver.c,55 :: 		void USB_PutQueue(char *msg) {
; msg start address is: 0 (R0)
; msg end address is: 0 (R0)
; msg start address is: 0 (R0)
;USB_Driver.c,57 :: 		USB_Queue.q[USB_Queue.in++] = msg;
MOVW	R3, #lo_addr(_USB_Queue+0)
MOVT	R3, #hi_addr(_USB_Queue+0)
LDRH	R1, [R3, #0]
LSLS	R2, R1, #2
MOVW	R1, #lo_addr(_USB_Queue+4)
MOVT	R1, #hi_addr(_USB_Queue+4)
ADDS	R1, R1, R2
STR	R0, [R1, #0]
; msg end address is: 0 (R0)
MOV	R1, R3
LDRH	R1, [R1, #0]
ADDS	R1, R1, #1
UXTH	R1, R1
STRH	R1, [R3, #0]
;USB_Driver.c,58 :: 		if (USB_Queue.in > (USB_Queue_Size-1))
CMP	R1, #31
IT	LS
BLS	L_USB_PutQueue0
;USB_Driver.c,59 :: 		USB_Queue.in = 0;
MOVS	R2, #0
MOVW	R1, #lo_addr(_USB_Queue+0)
MOVT	R1, #hi_addr(_USB_Queue+0)
STRH	R2, [R1, #0]
L_USB_PutQueue0:
;USB_Driver.c,60 :: 		}
L_end_USB_PutQueue:
BX	LR
; end of _USB_PutQueue
_USB_CheckOut:
;USB_Driver.c,68 :: 		void USB_CheckOut(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,70 :: 		if (USB_Queue.in != USB_Queue.out) {          // Look for a pointer in the FIFO
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
LDRH	R0, [R0, #0]
CMP	R0, R1
IT	EQ
BEQ	L_USB_CheckOut1
;USB_Driver.c,73 :: 		if (HID_Write(USB_Queue.q[USB_Queue.out],64) != 0) {
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
LDRH	R0, [R0, #0]
LSLS	R1, R0, #2
MOVW	R0, #lo_addr(_USB_Queue+4)
MOVT	R0, #hi_addr(_USB_Queue+4)
ADDS	R0, R0, R1
LDR	R0, [R0, #0]
MOVS	R1, #64
BL	_HID_Write+0
CMP	R0, #0
IT	EQ
BEQ	L_USB_CheckOut2
;USB_Driver.c,74 :: 		USB_Queue.out++;
MOVW	R1, #lo_addr(_USB_Queue+2)
MOVT	R1, #hi_addr(_USB_Queue+2)
LDRH	R0, [R1, #0]
ADDS	R0, R0, #1
UXTH	R0, R0
STRH	R0, [R1, #0]
;USB_Driver.c,75 :: 		if (USB_Queue.out > (USB_Queue_Size-1))  // If past the end of array
CMP	R0, #31
IT	LS
BLS	L_USB_CheckOut3
;USB_Driver.c,76 :: 		USB_Queue.out = 0;                   // set pointer to start of array
MOVS	R1, #0
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
STRH	R1, [R0, #0]
L_USB_CheckOut3:
;USB_Driver.c,77 :: 		}
L_USB_CheckOut2:
;USB_Driver.c,78 :: 		}
L_USB_CheckOut1:
;USB_Driver.c,79 :: 		}
L_end_USB_CheckOut:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB_CheckOut
_USB_CheckIn:
;USB_Driver.c,85 :: 		void USB_CheckIn(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;USB_Driver.c,90 :: 		if (HID_Read() != 0) {
BL	_HID_Read+0
CMP	R0, #0
IT	EQ
BEQ	L_USB_CheckIn4
;USB_Driver.c,91 :: 		switch (readbuff[0]) {
IT	AL
BAL	L_USB_CheckIn5
;USB_Driver.c,93 :: 		case 'a':  // Return a canned message that indicates everything is working OK
L_USB_CheckIn7:
;USB_Driver.c,94 :: 		USB_PutQueue("Command a received\r\n");
MOVW	R0, #lo_addr(?lstr1_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr1_USB_Driver+0)
BL	_USB_PutQueue+0
;USB_Driver.c,95 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,96 :: 		case 'b':  // Set the yellow LED
L_USB_CheckIn8:
;USB_Driver.c,97 :: 		LED_Set_Yellow();
BL	_LED_Set_Yellow+0
;USB_Driver.c,98 :: 		USB_PutQueue("Yellow set\r\n");
MOVW	R0, #lo_addr(?lstr2_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr2_USB_Driver+0)
BL	_USB_PutQueue+0
;USB_Driver.c,99 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,100 :: 		case 'c':  // Clear the yellow LED
L_USB_CheckIn9:
;USB_Driver.c,101 :: 		LED_Clr_Yellow();
BL	_LED_Clr_Yellow+0
;USB_Driver.c,102 :: 		USB_PutQueue("Yellow cleared\r\n");
MOVW	R0, #lo_addr(?lstr3_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr3_USB_Driver+0)
BL	_USB_PutQueue+0
;USB_Driver.c,103 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,104 :: 		case 'd':  // Set the red LED
L_USB_CheckIn10:
;USB_Driver.c,105 :: 		LED_Set_Red();
BL	_LED_Set_Red+0
;USB_Driver.c,106 :: 		USB_PutQueue("Red set\r\n");
MOVW	R0, #lo_addr(?lstr4_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr4_USB_Driver+0)
BL	_USB_PutQueue+0
;USB_Driver.c,107 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,108 :: 		case 'e':  // Clear the red LED
L_USB_CheckIn11:
;USB_Driver.c,109 :: 		LED_Clr_Red();
BL	_LED_Clr_Red+0
;USB_Driver.c,110 :: 		USB_PutQueue("Red cleared\r\n");
MOVW	R0, #lo_addr(?lstr5_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr5_USB_Driver+0)
BL	_USB_PutQueue+0
;USB_Driver.c,111 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,112 :: 		case 'f':  // Set RTC from data in message
L_USB_CheckIn12:
;USB_Driver.c,117 :: 		Work  = readbuff[2] & 0x0F;    // Year
MOVW	R0, #lo_addr(_readbuff+2)
MOVT	R0, #hi_addr(_readbuff+2)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTH	R0, R0
; Work start address is: 0 (R0)
UXTB	R0, R0
;USB_Driver.c,118 :: 		Work <<= 4;
LSLS	R1, R0, #4
UXTH	R1, R1
; Work end address is: 0 (R0)
;USB_Driver.c,119 :: 		Work |= readbuff[3] & 0x0F;
MOVW	R0, #lo_addr(_readbuff+3)
MOVT	R0, #hi_addr(_readbuff+3)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTB	R0, R0
ORR	R0, R1, R0, LSL #0
;USB_Driver.c,120 :: 		MyTime.year = Bcd2Dec16(Work);
BL	_Bcd2Dec16+0
MOVW	R1, #lo_addr(_MyTime+0)
MOVT	R1, #hi_addr(_MyTime+0)
STRH	R0, [R1, #0]
;USB_Driver.c,122 :: 		Work  = readbuff[5] & 0x0F;    // Week day
MOVW	R0, #lo_addr(_readbuff+5)
MOVT	R0, #hi_addr(_readbuff+5)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTB	R0, R0
; Work start address is: 4 (R1)
UXTB	R1, R0
;USB_Driver.c,123 :: 		MyTime.weekday = Work;
MOVW	R0, #lo_addr(_MyTime+2)
MOVT	R0, #hi_addr(_MyTime+2)
STRB	R1, [R0, #0]
; Work end address is: 4 (R1)
;USB_Driver.c,125 :: 		Work  = readbuff[7] & 0x0F;    // Month
MOVW	R0, #lo_addr(_readbuff+7)
MOVT	R0, #hi_addr(_readbuff+7)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTH	R0, R0
; Work start address is: 0 (R0)
UXTB	R0, R0
;USB_Driver.c,126 :: 		Work <<= 4;
LSLS	R1, R0, #4
UXTH	R1, R1
; Work end address is: 0 (R0)
;USB_Driver.c,127 :: 		Work |= readbuff[8] & 0x0F;
MOVW	R0, #lo_addr(_readbuff+8)
MOVT	R0, #hi_addr(_readbuff+8)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTB	R0, R0
ORR	R0, R1, R0, LSL #0
;USB_Driver.c,128 :: 		MyTime.month = Bcd2Dec(Work);
UXTB	R0, R0
BL	_Bcd2Dec+0
MOVW	R1, #lo_addr(_MyTime+3)
MOVT	R1, #hi_addr(_MyTime+3)
STRB	R0, [R1, #0]
;USB_Driver.c,130 :: 		Work  = readbuff[10] & 0x0F;   // Day
MOVW	R0, #lo_addr(_readbuff+10)
MOVT	R0, #hi_addr(_readbuff+10)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTH	R0, R0
; Work start address is: 0 (R0)
UXTB	R0, R0
;USB_Driver.c,131 :: 		Work <<= 4;
LSLS	R1, R0, #4
UXTH	R1, R1
; Work end address is: 0 (R0)
;USB_Driver.c,132 :: 		Work |= readbuff[11] & 0x0F;
MOVW	R0, #lo_addr(_readbuff+11)
MOVT	R0, #hi_addr(_readbuff+11)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTB	R0, R0
ORR	R0, R1, R0, LSL #0
;USB_Driver.c,133 :: 		MyTime.day = Bcd2Dec(Work);
UXTB	R0, R0
BL	_Bcd2Dec+0
MOVW	R1, #lo_addr(_MyTime+4)
MOVT	R1, #hi_addr(_MyTime+4)
STRB	R0, [R1, #0]
;USB_Driver.c,135 :: 		Work  = readbuff[13] & 0x0F;   // Hour
MOVW	R0, #lo_addr(_readbuff+13)
MOVT	R0, #hi_addr(_readbuff+13)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTH	R0, R0
; Work start address is: 0 (R0)
UXTB	R0, R0
;USB_Driver.c,136 :: 		Work <<= 4;
LSLS	R1, R0, #4
UXTH	R1, R1
; Work end address is: 0 (R0)
;USB_Driver.c,137 :: 		Work |= readbuff[14] & 0x0F;
MOVW	R0, #lo_addr(_readbuff+14)
MOVT	R0, #hi_addr(_readbuff+14)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTB	R0, R0
ORR	R0, R1, R0, LSL #0
;USB_Driver.c,138 :: 		MyTime.hours = Bcd2Dec(Work);
UXTB	R0, R0
BL	_Bcd2Dec+0
MOVW	R1, #lo_addr(_MyTime+5)
MOVT	R1, #hi_addr(_MyTime+5)
STRB	R0, [R1, #0]
;USB_Driver.c,140 :: 		Work  = readbuff[16] & 0x0F;   // Minute
MOVW	R0, #lo_addr(_readbuff+16)
MOVT	R0, #hi_addr(_readbuff+16)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTH	R0, R0
; Work start address is: 0 (R0)
UXTB	R0, R0
;USB_Driver.c,141 :: 		Work <<= 4;
LSLS	R1, R0, #4
UXTH	R1, R1
; Work end address is: 0 (R0)
;USB_Driver.c,142 :: 		Work |= readbuff[17] & 0x0F;
MOVW	R0, #lo_addr(_readbuff+17)
MOVT	R0, #hi_addr(_readbuff+17)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTB	R0, R0
ORR	R0, R1, R0, LSL #0
;USB_Driver.c,143 :: 		MyTime.minutes = Bcd2Dec(Work);
UXTB	R0, R0
BL	_Bcd2Dec+0
MOVW	R1, #lo_addr(_MyTime+6)
MOVT	R1, #hi_addr(_MyTime+6)
STRB	R0, [R1, #0]
;USB_Driver.c,145 :: 		Work  = readbuff[19] & 0x0F;   // Second
MOVW	R0, #lo_addr(_readbuff+19)
MOVT	R0, #hi_addr(_readbuff+19)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTB	R0, R0
; Work start address is: 0 (R0)
;USB_Driver.c,146 :: 		Work <<= 4;
LSLS	R1, R0, #4
UXTH	R1, R1
; Work end address is: 0 (R0)
;USB_Driver.c,147 :: 		Work |= readbuff[20] & 0x0F;
MOVW	R0, #lo_addr(_readbuff+20)
MOVT	R0, #hi_addr(_readbuff+20)
LDRB	R0, [R0, #0]
AND	R0, R0, #15
UXTB	R0, R0
ORR	R0, R1, R0, LSL #0
;USB_Driver.c,148 :: 		MyTime.seconds = Bcd2Dec(Work);
UXTB	R0, R0
BL	_Bcd2Dec+0
MOVW	R1, #lo_addr(_MyTime+7)
MOVT	R1, #hi_addr(_MyTime+7)
STRB	R0, [R1, #0]
;USB_Driver.c,150 :: 		BufNum = GetBuffer();     // Get a free buffer
BL	_GetBuffer+0
; BufNum start address is: 36 (R9)
MOV	R9, R0
;USB_Driver.c,151 :: 		sprintf(BufNum,"%04d/%02d/%02d %02d:%02d:%02d %d\r\n",MyTime.year,MyTime.month,MyTime.day,MyTime.hours,MyTime.minutes,MyTime.seconds,MyTime.weekday);
MOVW	R1, #lo_addr(_MyTime+2)
MOVT	R1, #hi_addr(_MyTime+2)
LDRB	R8, [R1, #0]
MOVW	R1, #lo_addr(_MyTime+7)
MOVT	R1, #hi_addr(_MyTime+7)
LDRB	R7, [R1, #0]
MOVW	R1, #lo_addr(_MyTime+6)
MOVT	R1, #hi_addr(_MyTime+6)
LDRB	R6, [R1, #0]
MOVW	R1, #lo_addr(_MyTime+5)
MOVT	R1, #hi_addr(_MyTime+5)
LDRB	R5, [R1, #0]
MOVW	R1, #lo_addr(_MyTime+4)
MOVT	R1, #hi_addr(_MyTime+4)
LDRB	R4, [R1, #0]
MOVW	R1, #lo_addr(_MyTime+3)
MOVT	R1, #hi_addr(_MyTime+3)
LDRB	R3, [R1, #0]
MOVW	R1, #lo_addr(_MyTime+0)
MOVT	R1, #hi_addr(_MyTime+0)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_6_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_6_USB_Driver+0)
STR	R9, [SP, #4]
PUSH	32
PUSH	(R7)
PUSH	(R6)
PUSH	(R5)
PUSH	(R4)
PUSH	(R3)
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #36
LDR	R9, [SP, #4]
;USB_Driver.c,152 :: 		USB_PutQueue(BufNum);    // Display the buffer
MOV	R0, R9
; BufNum end address is: 36 (R9)
BL	_USB_PutQueue+0
;USB_Driver.c,154 :: 		RTC_Write(&MyTime);  // Set the hardware Real Time Clock
MOVW	R0, #lo_addr(_MyTime+0)
MOVT	R0, #hi_addr(_MyTime+0)
BL	_RTC_Write+0
;USB_Driver.c,155 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,156 :: 		case 'g':  // Display the RTC
L_USB_CheckIn13:
;USB_Driver.c,157 :: 		RTC_Read(&MyTime);
MOVW	R0, #lo_addr(_MyTime+0)
MOVT	R0, #hi_addr(_MyTime+0)
BL	_RTC_Read+0
;USB_Driver.c,158 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,159 :: 		case 'h':  // Set RTC RAM, read and display contents
L_USB_CheckIn14:
;USB_Driver.c,160 :: 		RTC_WriteSRAM(0,0xAAAA5555);
MOVW	R1, #21845
MOVT	R1, #43690
MOVS	R0, #0
BL	_RTC_WriteSRAM+0
;USB_Driver.c,161 :: 		RTC_WriteSRAM(1,0x5555AAAA);
MOVW	R1, #43690
MOVT	R1, #21845
MOVS	R0, #1
BL	_RTC_WriteSRAM+0
;USB_Driver.c,163 :: 		BkpReg = RTC_ReadSRAM(0);
MOVS	R0, #0
BL	_RTC_ReadSRAM+0
; BkpReg start address is: 4 (R1)
MOV	R1, R0
;USB_Driver.c,164 :: 		BufNum = GetBuffer();
STR	R1, [SP, #4]
BL	_GetBuffer+0
LDR	R1, [SP, #4]
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_Driver.c,165 :: 		sprintf(BufNum,"Addr0: %08LX\r\n",BkpReg);
MOV	R2, R1
; BkpReg end address is: 4 (R1)
MOVW	R1, #lo_addr(?lstr_7_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_7_USB_Driver+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_Driver.c,166 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_Driver.c,168 :: 		BkpReg = RTC_ReadSRAM(1);
MOVS	R0, #1
BL	_RTC_ReadSRAM+0
; BkpReg start address is: 4 (R1)
MOV	R1, R0
;USB_Driver.c,169 :: 		BufNum = GetBuffer();
STR	R1, [SP, #4]
BL	_GetBuffer+0
LDR	R1, [SP, #4]
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_Driver.c,170 :: 		sprintf(BufNum,"Addr1: %08LX\r\n",BkpReg);
MOV	R2, R1
; BkpReg end address is: 4 (R1)
MOVW	R1, #lo_addr(?lstr_8_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_8_USB_Driver+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_Driver.c,171 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_Driver.c,172 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,173 :: 		case 'i':  // Display the Initialization and Status Register
L_USB_CheckIn15:
;USB_Driver.c,174 :: 		RTC_ReadISR();
BL	_RTC_ReadISR+0
;USB_Driver.c,175 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,176 :: 		case 'j':  // Start DAC1 to produce 60Hz Sine wave on PA4
L_USB_CheckIn16:
;USB_Driver.c,177 :: 		DAC1_Initialize();
BL	_DAC1_Initialize+0
;USB_Driver.c,178 :: 		Timer6_Initialize();
BL	_Timer6_Initialize+0
;USB_Driver.c,179 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,180 :: 		case 'k':  // Raise the amplitude of the Sine wave
L_USB_CheckIn17:
;USB_Driver.c,181 :: 		if (Amp < 255)
MOVW	R0, #lo_addr(_Amp+0)
MOVT	R0, #hi_addr(_Amp+0)
LDRB	R0, [R0, #0]
CMP	R0, #255
IT	CS
BCS	L_USB_CheckIn18
;USB_Driver.c,182 :: 		Amp++;
MOVW	R1, #lo_addr(_Amp+0)
MOVT	R1, #hi_addr(_Amp+0)
LDRB	R0, [R1, #0]
ADDS	R0, R0, #1
STRB	R0, [R1, #0]
L_USB_CheckIn18:
;USB_Driver.c,183 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_Driver.c,184 :: 		sprintf(BufNum,"Amp: %02X\r\n",Amp);
MOVW	R1, #lo_addr(_Amp+0)
MOVT	R1, #hi_addr(_Amp+0)
LDRB	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_9_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_9_USB_Driver+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_Driver.c,185 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_Driver.c,186 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,187 :: 		case 'l':  // Lower the amplitude of the Sine wave
L_USB_CheckIn19:
;USB_Driver.c,188 :: 		if (Amp > 0)
MOVW	R0, #lo_addr(_Amp+0)
MOVT	R0, #hi_addr(_Amp+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	LS
BLS	L_USB_CheckIn20
;USB_Driver.c,189 :: 		Amp--;
MOVW	R1, #lo_addr(_Amp+0)
MOVT	R1, #hi_addr(_Amp+0)
LDRB	R0, [R1, #0]
SUBS	R0, R0, #1
STRB	R0, [R1, #0]
L_USB_CheckIn20:
;USB_Driver.c,190 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_Driver.c,191 :: 		sprintf(BufNum,"Amp: %02X\r\n",Amp);
MOVW	R1, #lo_addr(_Amp+0)
MOVT	R1, #hi_addr(_Amp+0)
LDRB	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_10_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_10_USB_Driver+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_Driver.c,192 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_Driver.c,193 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,194 :: 		case 'm':
L_USB_CheckIn21:
;USB_Driver.c,195 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,196 :: 		case 'n':
L_USB_CheckIn22:
;USB_Driver.c,197 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,198 :: 		case 'o':
L_USB_CheckIn23:
;USB_Driver.c,199 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,200 :: 		case 'p':
L_USB_CheckIn24:
;USB_Driver.c,201 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,202 :: 		case 'q':
L_USB_CheckIn25:
;USB_Driver.c,203 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,204 :: 		case 'r':
L_USB_CheckIn26:
;USB_Driver.c,205 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,206 :: 		case 's':
L_USB_CheckIn27:
;USB_Driver.c,207 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,208 :: 		case 't':
L_USB_CheckIn28:
;USB_Driver.c,209 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,210 :: 		case 'u':
L_USB_CheckIn29:
;USB_Driver.c,211 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,212 :: 		case 'v':
L_USB_CheckIn30:
;USB_Driver.c,213 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,214 :: 		case 'w':
L_USB_CheckIn31:
;USB_Driver.c,215 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,216 :: 		case 'x':
L_USB_CheckIn32:
;USB_Driver.c,217 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,218 :: 		case 'y':
L_USB_CheckIn33:
;USB_Driver.c,219 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,220 :: 		case 'z':
L_USB_CheckIn34:
;USB_Driver.c,221 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,225 :: 		default:
L_USB_CheckIn35:
;USB_Driver.c,226 :: 		USB_PutQueue("Unknown command: ");
MOVW	R0, #lo_addr(?lstr11_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr11_USB_Driver+0)
BL	_USB_PutQueue+0
;USB_Driver.c,228 :: 		BufNum = GetBuffer();         // Get a free buffer
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_Driver.c,229 :: 		(void)sprintf(BufNum,"%c\r\n",readbuff[0]);
MOVW	R1, #lo_addr(_readbuff+0)
MOVT	R1, #hi_addr(_readbuff+0)
LDRB	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_12_USB_Driver+0)
MOVT	R1, #hi_addr(?lstr_12_USB_Driver+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_Driver.c,230 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_Driver.c,231 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,232 :: 		}
L_USB_CheckIn5:
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #97
IT	EQ
BEQ	L_USB_CheckIn7
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #98
IT	EQ
BEQ	L_USB_CheckIn8
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #99
IT	EQ
BEQ	L_USB_CheckIn9
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #100
IT	EQ
BEQ	L_USB_CheckIn10
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #101
IT	EQ
BEQ	L_USB_CheckIn11
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #102
IT	EQ
BEQ	L_USB_CheckIn12
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #103
IT	EQ
BEQ	L_USB_CheckIn13
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #104
IT	EQ
BEQ	L_USB_CheckIn14
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #105
IT	EQ
BEQ	L_USB_CheckIn15
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #106
IT	EQ
BEQ	L_USB_CheckIn16
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #107
IT	EQ
BEQ	L_USB_CheckIn17
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #108
IT	EQ
BEQ	L_USB_CheckIn19
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #109
IT	EQ
BEQ	L_USB_CheckIn21
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #110
IT	EQ
BEQ	L_USB_CheckIn22
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #111
IT	EQ
BEQ	L_USB_CheckIn23
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #112
IT	EQ
BEQ	L_USB_CheckIn24
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #113
IT	EQ
BEQ	L_USB_CheckIn25
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #114
IT	EQ
BEQ	L_USB_CheckIn26
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #115
IT	EQ
BEQ	L_USB_CheckIn27
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #116
IT	EQ
BEQ	L_USB_CheckIn28
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #117
IT	EQ
BEQ	L_USB_CheckIn29
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #118
IT	EQ
BEQ	L_USB_CheckIn30
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #119
IT	EQ
BEQ	L_USB_CheckIn31
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #120
IT	EQ
BEQ	L_USB_CheckIn32
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #121
IT	EQ
BEQ	L_USB_CheckIn33
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #122
IT	EQ
BEQ	L_USB_CheckIn34
IT	AL
BAL	L_USB_CheckIn35
L_USB_CheckIn6:
;USB_Driver.c,233 :: 		}
L_USB_CheckIn4:
;USB_Driver.c,234 :: 		}
L_end_USB_CheckIn:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _USB_CheckIn
